{
  "schema_version": "1.4.0",
  "id": "GHSA-hxjr-hj59-c5fm",
  "modified": "2025-04-11T03:59:46Z",
  "published": "2022-05-17T05:27:18Z",
  "aliases": [
    "CVE-2012-2676"
  ],
  "details": "Multiple integer overflows in the (1) malloc and (2) calloc functions in Hoard before 3.9 make it easier for context-dependent attackers to perform memory-related attacks such as buffer overflows on implementing code via a large size value, which causes less memory to be allocated than expected.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2676"
    },
    {
      "type": "WEB",
      "url": "https://github.com/emeryberger/Hoard/blob/master/NEWS"
    },
    {
      "type": "WEB",
      "url": "http://kqueue.org/blog/2012/03/05/memory-allocator-security-revisited"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/06/05/1"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/06/07/13"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-07-25T19:55:00Z"
  }
}